<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for IsUserValid StructType
 * @subpackage Structs
 */
class IsUserValid extends AbstractStructBase
{
    /**
     * The client
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $client;
    /**
     * The Data
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Data;
    /**
     * The Sign
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Sign;
    /**
     * The ExternalIP
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $ExternalIP;
    /**
     * Constructor method for IsUserValid
     * @uses IsUserValid::setClient()
     * @uses IsUserValid::setData()
     * @uses IsUserValid::setSign()
     * @uses IsUserValid::setExternalIP()
     * @param string $client
     * @param string $data
     * @param string $sign
     * @param string $externalIP
     */
    public function __construct($client = null, $data = null, $sign = null, $externalIP = null)
    {
        $this
            ->setClient($client)
            ->setData($data)
            ->setSign($sign)
            ->setExternalIP($externalIP);
    }
    /**
     * Get client value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getClient()
    {
        return isset($this->client) ? $this->client : null;
    }
    /**
     * Set client value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $client
     * @return \StructType\IsUserValid
     */
    public function setClient($client = null)
    {
        // validation for constraint: string
        if (!is_null($client) && !is_string($client)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($client, true), gettype($client)), __LINE__);
        }
        if (is_null($client) || (is_array($client) && empty($client))) {
            unset($this->client);
        } else {
            $this->client = $client;
        }
        return $this;
    }
    /**
     * Get Data value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getData()
    {
        return isset($this->Data) ? $this->Data : null;
    }
    /**
     * Set Data value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $data
     * @return \StructType\IsUserValid
     */
    public function setData($data = null)
    {
        // validation for constraint: string
        if (!is_null($data) && !is_string($data)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($data, true), gettype($data)), __LINE__);
        }
        if (is_null($data) || (is_array($data) && empty($data))) {
            unset($this->Data);
        } else {
            $this->Data = $data;
        }
        return $this;
    }
    /**
     * Get Sign value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getSign()
    {
        return isset($this->Sign) ? $this->Sign : null;
    }
    /**
     * Set Sign value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $sign
     * @return \StructType\IsUserValid
     */
    public function setSign($sign = null)
    {
        // validation for constraint: string
        if (!is_null($sign) && !is_string($sign)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($sign, true), gettype($sign)), __LINE__);
        }
        if (is_null($sign) || (is_array($sign) && empty($sign))) {
            unset($this->Sign);
        } else {
            $this->Sign = $sign;
        }
        return $this;
    }
    /**
     * Get ExternalIP value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getExternalIP()
    {
        return isset($this->ExternalIP) ? $this->ExternalIP : null;
    }
    /**
     * Set ExternalIP value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $externalIP
     * @return \StructType\IsUserValid
     */
    public function setExternalIP($externalIP = null)
    {
        // validation for constraint: string
        if (!is_null($externalIP) && !is_string($externalIP)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($externalIP, true), gettype($externalIP)), __LINE__);
        }
        if (is_null($externalIP) || (is_array($externalIP) && empty($externalIP))) {
            unset($this->ExternalIP);
        } else {
            $this->ExternalIP = $externalIP;
        }
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\IsUserValid
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
